C----------------------------------------------------------------- 
C Sample objective function for IFFCO.
C Objective functions for use with IFFCO must use the calling
C sequence demonstrated here.  They should also set flag to 0 if 
C the function evaluates normally or 1 if it fails to evaluate.
C
C Users may wish to modify this file to call their own objective
C function code.
C----------------------------------------------------------------- 
      
      subroutine myfunc(n, x, f, flag, idata, ilen, ddata, dlen,
     +    cdata, clen)
      implicit none
C Subroutine parameters
      integer n, flag, ilen, dlen, clen
      double precision x(n), f
      integer idata(ilen)
      double precision ddata(dlen)
      character cdata(clen)

C     You may define your function here:
      f = x(1)*x(1) + x(2)*x(2) + (.1)*sin(15*3.14159*x(1)*x(2))

C     Or, call an external function:
C     call otherfunc(n, x, f, idata(1))

C     Either way, you should set flag to 0 if the function evaluates
C     normally or 1 if it fails to evaluate.

      flag = 0 

      end
